javax.security.auth.message.config

## Interface AuthConfig

- All Known Subinterfaces:
    ClientAuthConfig, ServerAuthConfig

      public interface AuthConfig

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAppContext()`
    `java.lang.String` | `getAuthContextID(MessageInfo messageInfo)`
    `java.lang.String` | `getMessageLayer()`
    `boolean` | `isProtected()`
    `void` | `refresh()`

- - ### Method Detail

    - #### getMessageLayer

          java.lang.String getMessageLayer()

    - #### getAppContext

          java.lang.String getAppContext()

    - #### getAuthContextID

          java.lang.String getAuthContextID(MessageInfo messageInfo)

    - #### refresh

          void refresh()

    - #### isProtected

          boolean isProtected()

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.